%global goipath github.com/go-macaron/macaron
Version:        1.3.2

%gometa

%global v1_goipath     gopkg.in/v1/macaron
%global v1_goipath_sec gopkg.in/macaron.v1

%global v1_goipath_name %gorpmname %{v1_goipath}
%global v1_goipath_sec_name %gorpmname %{v1_goipath_sec}

Name:           %{goname}-v1
Release:        1%{?dist}
Summary:        Productive and modular web framework in Go
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}


BuildRequires: golang(github.com/Unknwon/com)
BuildRequires: golang(github.com/go-macaron/inject)
BuildRequires: golang(github.com/smartystreets/goconvey/convey)
BuildRequires: golang(golang.org/x/crypto/pbkdf2)
BuildRequires: golang(gopkg.in/ini.v1)

%description
%{summary}.


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}.

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.

%package -n %{v1_goipath_name}-devel
Summary:       %{summary}
BuildArch:     noarch

%description -n %{v1_goipath_name}-devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{v1_goipath} prefix.

%package -n %{v1_goipath_sec_name}-devel
Summary:       %{summary}
BuildArch:     noarch

%description -n %{v1_goipath_sec_name}-devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{v1_goipath_sec} prefix.


%prep
%forgeautosetup -p1


%install
%goinstall
%goinstall -i %{v1_goipath} -o v1-devel.file-list
%goinstall -i %{v1_goipath_sec} -o v1-sec-devel.file-list


%check
%gochecks


%files devel -f devel.file-list
%doc README.md
%license LICENSE

%files -n %{v1_goipath_name}-devel -f v1-devel.file-list
%license LICENSE
%doc README.md

%files -n %{v1_goipath_sec_name}-devel -f v1-sec-devel.file-list
%license LICENSE
%doc README.md


%changelog
* Fri Mar 22 2019 Nathan Scott <nathans@redhat.com> - 1.3.2-1
- First package for Fedora
